summarylogtreecommitdiffstats
path: root/c89
diff options
context:
space:
mode:
authorJames P. Harvey2018-10-17 18:47:08 -0400
committerJames P. Harvey2018-10-17 20:27:52 -0400
commit2f784559f42496cab455a9febf2323553eae656f (patch)
treec513375555db3b88d27b650170171e74f27a413f /c89
parent7196202db28d20a5440c757e791b9390f3cf8649 (diff)
downloadaur-2f784559f42496cab455a9febf2323553eae656f.tar.gz
Restarting with fork from core's gcc 8.2.1+20180831-1. .SRCINFO intentionally delayed to avoid conflicts on this commit with core.
Diffstat (limited to 'c89')
-rw-r--r--c8910
1 files changed, 10 insertions, 0 deletions
diff --git a/c89 b/c89
new file mode 100644
index 000000000000..35486ea83ed4
--- /dev/null
+++ b/c89
@@ -0,0 +1,10 @@
+#!/bin/sh
+fl="-std=c89"
+for opt; do
+ case "$opt" in
+ -ansi|-std=c89|-std=iso9899:1990) fl="";;
+ -std=*) echo "`basename $0` called with non ANSI/ISO C option $opt" >&2
+ exit 1;;
+ esac
+done
+exec gcc $fl ${1+"$@"}